Bug 90277 - Setting DMA for ATAPI DVD with hdparm does not actually enable DMA
Setting DMA for ATAPI DVD with hdparm does not actually enable DMA
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-06 08:15 EDT by Ram Laska
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-18 07:47:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ram Laska 2003-05-06 08:15:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
With redhat9, the "modprobe ide-cd dma=1" function no longer works, returning
"Warning: ignoring dma=1, no such parameter in this module". Searching google, I
found that the DMA should be set using "hdparm -d 1 /dev/cdrom", which returns
"/dev/cdrom:\n using_dma    =  1 (on)" (/dev/cdrom is a symlink to /dev/hdd, the
DVD drive). However, the choppiness and skipped frames continue. The hdparm does
not seem to actually enable DMA on the DVD-ROM. Please reference this lkml
thread: http://www.ussg.iu.edu/hypermail/linux/kernel/0303.0/0006.html

Version-Release number of selected component (if applicable):
kernel-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1. Install Redhat 9 on i386 platform
2. Type "hdparm -d 1 /dev/<dvddevice>" at a root prompt
3. Play any DVD
    

Actual Results:  The DVD played with many dropped frames (on an athlon 1.4ghz
with 512mb ram)

Expected Results:  The DVD should have played smoothly just as it did before
installing redhat9 (from redhat8).

Additional info:

This bug is reproducible with both xine and ogle, and it was not appareant in
the previous release of redhat (8) (after you put "options ide-cd dma=1" in
/etc/modules.conf).
Comment 1 Michael Lee Yohe 2003-05-06 09:21:41 EDT
I was under the impression that Red Hat Linux 8.0's kernels had turned DMA off
on CD-*s and DVD-*s as a safety precaution that could be overridden by the
aforementioned parameter that you specified.  I would think that this would have
probably been corrected (or worked around) in Red Hat Linux 9's kernel (no
mention of that DMA is disabled by default in the release notes).  I am not
seeing any such problems on my i440BX/Toshiba DVD-ROM setup.

If you do a plain dump of the hdparm on /dev/hdd what does it show?  What kind
of chipset are you using?
Comment 2 Ram Laska 2003-05-06 20:38:29 EDT
The IDE Controller is on my Abit KT7-RAID motherboard (not using the RAID
controller) which uses the via kt133 chipset.
The output of hdparm /dev/hdd is:
hdparm /dev/hdd

/dev/hdd:
 HDIO_GET_MULTCOUNT failed: Invalid argument
 IO_support   =  1 (32-bit)
 unmaskirq    =  1 (on)
 using_dma    =  1 (on)
 keepsettings =  0 (off)
 readonly     =  1 (on)
 readahead    =  8 (on)
 HDIO_GETGEO failed: Invalid argument

From the aforementioned linux kernel mailing list i assumed this issue has been
noticed before.
Comment 3 Ram Laska 2003-05-18 07:47:43 EDT
Solution/Workaround found:

Appareantly something is either fishy with my DVD drive or IDE controller... or
they just don't like each other. Anyway, i used hdparm -i /dev/hdd and found out
that the dma was set to udma2. I thought possibly that was the problem so i used
hdparm -d 1 -X mdma2 and now all runs smoothly. Either 2.4.18 wasn't trying udma
or some combination of my IDE controller, dvd drive, udma, and 2.4.20 is causing
things to fail. Thank you.

Note You need to log in before you can comment on or make changes to this bug.